package jp.agentec.sinaburocast.action.admin.setting;

import java.util.ArrayList;

import jp.agentec.sinaburocast.action.AbstractAction;
import jp.agentec.sinaburocast.common.util.SinaburoUtil;
import jp.agentec.sinaburocast.entity.AdminUser;
import jp.agentec.sinaburocast.form.admin.setting.OperationHistoryForm;
import jp.agentec.sinaburocast.service.AdminUserService;
import jp.agentec.sinaburocast.service.OperationHistoryService;

import org.apache.log4j.Logger;
import org.seasar.framework.util.StringUtil;
import org.seasar.struts.annotation.ActionForm;
import org.seasar.struts.annotation.Execute;

/**
 * 操作履歴処理
 *
 * @author choi-c
 *
 */
public class OperationHistoryAction extends AbstractAction {

	private final Logger logger = Logger.getLogger(getClass());

	@ActionForm
	public OperationHistoryForm operationHistoryForm;


	public AdminUserService adminUserService;


	public OperationHistoryService operationHistoryService;

	/**
	 * 初期表示
	 */
	@Execute(validator = false,reset="resetIndex")
	public String index() {
		operationHistoryForm.adminUserList = (ArrayList<AdminUser>)adminUserService.findAllOrderByIdNotDel();
		return "/admin/setting/operationHistory.html";
	}

	@Execute(validator = false,urlPattern="search/{pageNo}")
	public String search() {
		if(StringUtil.isNotBlank(operationHistoryForm.searchFrom) && !SinaburoUtil.checkDate(operationHistoryForm.searchFrom)){
			addErrorMessage("dateError", "errors.E033");
			addErrorMessage("dateError_1", "errors.E033_1");
			addErrorMessage("dateError_2", "errors.E033_2");
			return "/admin/setting/operationHistory.html";
		}else if(StringUtil.isNotBlank(operationHistoryForm.searchTo) && !SinaburoUtil.checkDate(operationHistoryForm.searchTo)){
			addErrorMessage("dateError", "errors.E033");
			addErrorMessage("dateError_1", "errors.E033_1");
			addErrorMessage("dateError_2", "errors.E033_2");
			return "/admin/setting/operationHistory.html";
		}else if(StringUtil.isNotBlank(operationHistoryForm.searchFrom) && StringUtil.isNotBlank(operationHistoryForm.searchTo)
				&& operationHistoryForm.searchTo.compareTo(operationHistoryForm.searchFrom) < 0
				){
			addErrorMessage("dateError", "errors.E020");
			return "/admin/setting/operationHistory.html";
		}

		operationHistoryForm.adminUserList = (ArrayList<AdminUser>)adminUserService.findAllOrderByIdNotDel();
		operationHistoryForm.operationHistory = (ArrayList)operationHistoryService.searchOperationHistory(operationHistoryForm);

		return "/admin/setting/operationHistory.html";
	}

}