package jp.agentec.sinaburocast.entity;

import java.io.Serializable;
import java.sql.Timestamp;

import javax.persistence.Column;
import javax.persistence.MappedSuperclass;
import javax.persistence.Version;

import jp.agentec.sinaburocast.common.ToStringBuilderEx;

@MappedSuperclass
public abstract class AbstractEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/** insIdプロパティ */
    @Column(name="INSERT_ID", length = 16, nullable = false, unique = false)
    public String insId;

    /** insertDateプロパティ */
    @Column(nullable = false, unique = false)
    public Timestamp insertDate;

    /** upIdプロパティ */
    @Column(name="UPDATE_ID", length = 16, nullable = false, unique = false)
    public String upId;

    /** updateDateプロパティ */
    @Column(nullable = false, unique = false)
    public Timestamp updateDate;

    /** versionプロパティ */
    @Version
    @Column(precision = 5, nullable = true, unique = false)
    public Integer version = 0;


	@Override
	public String toString() {
		return new ToStringBuilderEx(this)
			.append("insId", insId)
			.append("insertDate", insertDate)
			.append("upId", upId)
			.append("updateDate", updateDate)
			.append("version", version)
			.toString();
	}
}
