package jp.agentec.sinaburocast.entity;

import java.sql.Timestamp;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Version;

@Entity
@Table(name="t_enquete_mail")
public class EnqueteMail extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "enquete_mail_id")
	public Integer enqueteMailId;

	public String subject;

	@Column(name = "delivery_group_id")
	public Integer deliveryGroupId;

	@Column(name = "mail_body")
	public String mailBody;

	public Integer status;

	@Column(name = "delivery_target_type")
	public String deliveryTargetType;

	@Column(name = "delivery_target_method")
	public String deliveryTargetMethod;

	@Temporal(TemporalType.DATE)
	@Column(name = "delivery_date")
	public Timestamp deliveryDate;

	@Column(name = "delivery_total_num")
	public Integer deliveryTotalNum;

	@Column(name = "delivery_success_num")
	public Integer deliverySuccessNum;

	@Column(name = "delivery_fail_num")
	public Integer deliveryFailNum;

	@Column(name = "enquete_id")
	public Integer enqueteId;

    /** MDeliveryGroup関連プロパティ */
    @ManyToOne
    @JoinColumn(name = "delivery_group_id", referencedColumnName = "delivery_group_id")
    public DeliveryGroup deliveryGroup;

    /** EnqueteMailSendResultList関連プロパティ */
    @OneToMany(mappedBy = "EnqueteMail")
    public List<EnqueteMailSendResult> enqueteMailSendResultList;

    /** EnqueteMailSendResultList関連プロパティ */
    @OneToMany(mappedBy = "EnqueteMail")
    public List<EnqueteMailAddressTmp> enqueteMailAddressTmpList;
}
