package jp.agentec.sinaburocast.form.user;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.seasar.struts.annotation.Arg;
import org.seasar.struts.annotation.Mask;
import org.seasar.struts.annotation.Maxlength;
import org.seasar.struts.annotation.Msg;
import org.seasar.struts.annotation.Required;

public class UserEditForm {

    /** ログインID */
    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.loginId"))
    @Mask(mask = "^[-_\\.0-9a-zA-Z]{6,20}$", msg = @Msg(key = "errors.rangeStr"), arg0=@Arg(key="labels.loginId"),args = {@Arg(key = "6", resource = false, position = 1),@Arg(key = "20", resource = false, position = 2)})
	public String loginId;

    /** パスワード */
    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.password"))
    @Mask(mask = "^[0-9a-zA-Z]{4,20}$", msg = @Msg(key = "errors.rangeStr"), arg0=@Arg(key="labels.password"),args = {@Arg(key = "4", resource = false, position = 1),@Arg(key = "20", resource = false, position = 2)})
	public String password;

    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.password1"))
    @Mask(mask = "^[0-9a-zA-Z]{4,20}$", msg = @Msg(key = "errors.rangeStr"), arg0=@Arg(key="labels.password1"),args = {@Arg(key = "4", resource = false, position = 1),@Arg(key = "20", resource = false, position = 2)})
	public String password2;

    @Maxlength(maxlength=30, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.firstName"))
	@Mask(mask = "^[^0-9]+$",msg = @Msg(key = "errors.hurigana"),arg0=@Arg(key="labels.firstName"))
	public String firstName;

    @Maxlength(maxlength=30, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.lastName"))
	@Mask(mask = "^[^0-9]+$",msg = @Msg(key = "errors.hurigana"),arg0=@Arg(key="labels.lastName"))
	public String lastName;

    @Maxlength(maxlength=30, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.firstKana"))
	@Mask(mask = "^[ァ-ヶー]+$",msg = @Msg(key = "errors.hurigana"),arg0=@Arg(key="labels.firstKana"))
	public String firstNameKana;

    @Maxlength(maxlength=30, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.lastKana"))
    @Mask(mask = "^[ァ-ヶー]+$",msg = @Msg(key = "errors.hurigana"),arg0=@Arg(key="labels.lastKana"))
	public String lastNameKana;

    //@Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.pcMail"))
    @Maxlength(maxlength=64, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.pcMail"))
    @Mask(mask = "^[!-~]+@[!-~]+$",msg = @Msg(key = "errors.email"), arg0=@Arg(key="labels.pcMail"))
	public String pcEmail;

    //@Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.mbMail"))
    @Maxlength(maxlength=64, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.mbMail"))
    @Mask(mask = "^[!-~]+@[!-~]+$",msg = @Msg(key = "errors.email"), arg0=@Arg(key="labels.mbMail"))
	public String mbEmail;

    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.zipCode"), target="addrSearchUseMb")
    @Mask(mask = "^[0-9]{7}$",msg=@Msg(key="errors.invalid"), arg0=@Arg(key="labels.zipCode"))
	public String zipCode;

	public String prefectureId;

	public String prefectureName;

	@Maxlength(maxlength=256, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.cityName"))
	public String cityName;

	@Maxlength(maxlength=256, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.areaName"))
	public String areaName;

	@Maxlength(maxlength=256, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.buildingName"))
	public String buildingName;

	@Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.telNo"))
	@Mask(mask = "^[0-9]{8,20}$",msg=@Msg(key="errors.invalid"), arg0=@Arg(key="labels.telNo"))
	public String telNo;

	public String genderCd;

	public String birthdayY;
	public String birthdayM;
	public String birthdayD;
	
	// ICHICOポイント交換リンクからのアクセスか判定するフラグ
	public boolean pointUseFlg = false;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.DEFAULT_STYLE).toString();
	}
}
